Chiwa Pay

Authentication

Authenticate API requests with a Chiwa Pay secret key.

View as Markdown

Use a secret key on every API request.

Authorization: Bearer sk_xxx

Keep your API key secret

Do not send a secret key from a browser or mobile app.

Requirements

RequirementStatus
Merchantapproved
Payment methodactive
Secret keyNot revoked

Security

AreaDescription
StorageStore it on your server.
LoggingMask secret key values.
RotationRevoke the old key after the new key is active.
IP allowlistRestrict a key to server IPs or CIDR ranges such as 203.0.113.10 or 203.0.113.0/24.

Example

cURL
curl "https://api.chiwapay.com/payments/f2b1d5b0-7b1f-4c5d-9c37-93f0c8f6a001" \  -H "Authorization: Bearer sk_xxx"

On this page